var clover = new Object();

// JSON: {classes : [{name, id, sl, el,  methods : [{sl, el}, ...]}, ...]}
clover.pageData = {"classes":[{"el":201,"id":9093,"methods":[{"el":62,"sc":5,"sl":47},{"el":92,"sc":5,"sl":64},{"el":117,"sc":5,"sl":94},{"el":141,"sc":5,"sl":119},{"el":157,"sc":5,"sl":143},{"el":167,"sc":5,"sl":159},{"el":183,"sc":5,"sl":169},{"el":199,"sc":5,"sl":185}],"name":"TestMessageParser","sl":45}]}

// JSON: {test_ID : {"methods": [ID1, ID2, ID3...], "name" : "testXXX() void"}, ...};
clover.testTargets = {"test_196":{"methods":[{"sl":143}],"name":"testParsingMalformedFirstHeader","pass":true,"statements":[{"sl":145},{"sl":148},{"sl":149},{"sl":151},{"sl":152},{"sl":153},{"sl":154},{"sl":155},{"sl":156}]},"test_252":{"methods":[{"sl":94}],"name":"testBufferedHeader","pass":true,"statements":[{"sl":96},{"sl":99},{"sl":100},{"sl":102},{"sl":103},{"sl":104},{"sl":105},{"sl":106},{"sl":107},{"sl":108},{"sl":109},{"sl":110},{"sl":111},{"sl":112},{"sl":113},{"sl":114},{"sl":115},{"sl":116}]},"test_308":{"methods":[{"sl":47}],"name":"testInvalidInput","pass":true,"statements":[{"sl":49},{"sl":51},{"sl":56},{"sl":57}]},"test_312":{"methods":[{"sl":119}],"name":"testParsingInvalidHeaders","pass":true,"statements":[{"sl":121},{"sl":124},{"sl":125},{"sl":126},{"sl":131},{"sl":134},{"sl":135},{"sl":136}]},"test_363":{"methods":[{"sl":169}],"name":"testMaxHeaderCount","pass":true,"statements":[{"sl":171},{"sl":176},{"sl":177},{"sl":178}]},"test_401":{"methods":[{"sl":159}],"name":"testEmptyDataStream","pass":true,"statements":[{"sl":161},{"sl":162},{"sl":163},{"sl":165},{"sl":166}]},"test_418":{"methods":[{"sl":64}],"name":"testBasicHeaderParsing","pass":true,"statements":[{"sl":66},{"sl":74},{"sl":75},{"sl":77},{"sl":78},{"sl":79},{"sl":80},{"sl":81},{"sl":82},{"sl":83},{"sl":84},{"sl":86},{"sl":88},{"sl":89},{"sl":90},{"sl":91}]},"test_9":{"methods":[{"sl":185}],"name":"testMaxHeaderCountForFoldedHeader","pass":true,"statements":[{"sl":187},{"sl":192},{"sl":193},{"sl":194}]}}

// JSON: { lines : [{tests : [testid1, testid2, testid3, ...]}, ...]};
clover.srcFileLines = [[], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [308], [], [308], [], [308], [], [], [], [], [308], [308], [], [], [], [], [], [], [418], [], [418], [], [], [], [], [], [], [], [418], [418], [], [418], [418], [418], [418], [418], [418], [418], [418], [], [418], [], [418], [418], [418], [418], [], [], [252], [], [252], [], [], [252], [252], [], [252], [252], [252], [252], [252], [252], [252], [252], [252], [252], [252], [252], [252], [252], [252], [], [], [312], [], [312], [], [], [312], [312], [312], [], [], [], [], [312], [], [], [312], [312], [312], [], [], [], [], [], [], [196], [], [196], [], [], [196], [196], [], [196], [196], [196], [196], [196], [196], [], [], [401], [], [401], [401], [401], [], [401], [401], [], [], [363], [], [363], [], [], [], [], [363], [363], [363], [], [], [], [], [], [], [9], [], [9], [], [], [], [], [9], [9], [9], [], [], [], [], [], [], [], []]
